Unofficial CSFloat API
API referenceOffers

Counter an offer

Responds to an offer with a different price.

POST/offers/{offer_id}/counter-offer

Responds to an offer with a different price. The counter replaces the offer being answered.

Authorization

ApiKeyAuth
Authorization<token>

CSFloat developer API key. Do not prefix with Bearer.

In: header

Path Parameters

offer_id*string

Numeric identifier serialized as a string.

Match^\\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/offers/string/counter-offer" \  -H "Content-Type: application/json" \  -d '{    "price": 18000  }'
{  "id": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "contract_id": "string",  "contract_price": 0,  "buyer_id": "string",  "price": 0,  "type": "string",  "state": "string",  "message_id": "string",  "buyer": {    "steam_id": "string",    "obfuscated_id": "string",    "username": "string",    "avatar": "http://example.com",    "flags": 0,    "online": true,    "away": true,    "stall_public": true,    "statistics": {      "median_trade_time": 0,      "total_avoided_trades": 0,      "total_failed_trades": 0,      "total_trades": 0,      "total_verified_trades": 0    }  },  "contract": {    "id": "string",    "created_at": "2019-08-24T14:15:22Z",    "sold_at": "2019-08-24T14:15:22Z",    "type": "buy_now",    "price": 0,    "state": "string",    "description": "string",    "seller": {      "steam_id": "string",      "obfuscated_id": "string",      "username": "string",      "avatar": "http://example.com",      "flags": 0,      "online": true,      "away": true,      "stall_public": true,      "statistics": {        "median_trade_time": 0,        "total_avoided_trades": 0,        "total_failed_trades": 0,        "total_trades": 0,        "total_verified_trades": 0      }    },    "item": {      "asset_id": "string",      "market_hash_name": "string",      "item_name": "string",      "type": "string",      "type_name": "string",      "wear_name": "string",      "collection": "string",      "description": "string",      "def_index": 0,      "paint_index": 0,      "paint_seed": 0,      "float_value": 0,      "rarity": 0,      "rarity_name": "string",      "quality": 0,      "is_stattrak": true,      "is_souvenir": true,      "is_commodity": true,      "tradable": 0,      "icon_url": "string",      "inspect_link": "string",      "d_param": "string",      "serialized_inspect": "string",      "gs_sig": "string",      "cs2_screenshot_id": "string",      "cs2_screenshot_at": "2019-08-24T14:15:22Z",      "phase": "string",      "low_rank": 0,      "high_rank": 0,      "sticker_index": 0,      "keychain_index": 0,      "keychain_pattern": 0,      "stickers": [        {          "stickerId": 0,          "slot": 0,          "wear": 0,          "name": "string",          "icon_url": "string",          "offset_x": 0,          "offset_y": 0,          "reference": {            "price": 0,            "quantity": 0,            "updated_at": "2019-08-24T14:15:22Z"          }        }      ],      "keychains": [        {          "stickerId": 0,          "slot": 0,          "pattern": 0,          "wrapped_sticker": 0,          "name": "string",          "icon_url": "string",          "offset_x": 0,          "offset_y": 0,          "offset_z": 0,          "reference": {            "price": 0,            "quantity": 0,            "updated_at": "2019-08-24T14:15:22Z"          }        }      ],      "badges": [        "string"      ],      "reference": {        "base_price": 0,        "predicted_price": 0,        "keychain_price": 0,        "float_factor": 0,        "quantity": 0,        "last_updated": "2019-08-24T14:15:22Z",        "buy_order": {          "max_price": 0,          "quantity": 0        }      },      "fade": {        "percentage": 0,        "rank": 0,        "seed": 0,        "type": "string"      },      "blue_gem": {        "playside_blue": 0,        "playside_gold": 0,        "playside_purple": 0,        "backside_blue": 0,        "backside_gold": 0,        "backside_purple": 0      }    },    "reference": {      "base_price": 0,      "predicted_price": 0,      "keychain_price": 0,      "float_factor": 0,      "quantity": 0,      "last_updated": "2019-08-24T14:15:22Z",      "buy_order": {        "max_price": 0,        "quantity": 0      }    },    "is_seller": true,    "min_offer_price": 0,    "max_offer_discount": 0,    "is_watchlisted": true,    "watchers": 0,    "auction_details": {      "expires_at": "2019-08-24T14:15:22Z",      "reserve_price": 0,      "min_next_bid": 0,      "top_bid": {        "id": "string",        "contract_id": "string",        "obfuscated_buyer_id": "string",        "price": 0,        "state": "string",        "created_at": "2019-08-24T14:15:22Z"      }    }  }}